--- title: "Activate Sub CA" slug: "security-privateca-activatesubca" tags: ["Private CA"] updated: 2026-10-08T04:21:15Z published: 2026-10-08T04:21:15Z canonical: "api.ncloud-docs.com/security-privateca-activatesubca" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Activate Sub CA Available in Classic and VPC Activate an intermediate certificate authority (CA) with a direct signing method using a signed certificate and the CA's certificate. Caution Be careful when using the issuing CA's certificate because it is not the CA's private key. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/ca/{caTag}/activate | ### Request headers For information about the request headers common to all Private CA APIs, see [Private CA request headers](/docs/en/security-privateca#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `caTag` | String | Required | CA tag value - See [Get CA list](/docs/en/security-privateca-getcalist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certPem` | String | Required | CA certificate (PEM) - Enter a newline character (`\n`) after `-----BEGIN CERTIFICATE-----` and in front of `-----END CERTIFICATE-----`. | | `caChainPem` | String | Required | Signer certificate chain (PEM) - Enter a newline character (`\n`) after `-----BEGIN CERTIFICATE-----` and in front of `-----END CERTIFICATE-----`. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://pca.apigw.ntruss.com/api/v1/ca/*********-*********/activate' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----", "caChainPem": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `msg` | String | - | Response message | | `data` | Object | - | Response result | | `data.caInfo` | Object | - | CA information | | `data.caInfo.signingCount` | Number | - | No. of certificates signed by CA | | `data.caInfo.caType` | String | - | CA type - `PRIVATE_ROOT` \| `PRIVATE_SUB` | | `data.caInfo.caId` | Number | - | CA identifier | | `data.caInfo.statusUpdateDate` | String | - | Latest status change date and time - Timestamp format | | `data.destroyDate` | String | - | Deletion date and time - Timestamp format | | `data.caInfo.alias` | String | - | CA name | | `data.caInfo.memo` | String | - | CA memo | | `data.caInfo.urlInfo` | Object | - | URL information | | `data.caInfo.urlInfo.ocsp` | Array | - | Online Certificate Status Protocol (OCSP) URL | | `data.caInfo.urlInfo.crl` | Array | - | Certificate revocation list (CRL) URL | | `data.caInfo.urlInfo.ca` | Array | - | CA URL | | `data.caTag` | String | - | CA's tag value | | `data.rgstDate` | Number | - | Registration date and time - Timestamp format | | `data.status` | String | - | CA status - `ACTIVE` \| `DEACTIVATED` \| `DESTROYING` - `ACTIVE`: Enabled - `DEACTIVATED`: Disabled - `DESTROYING`: Scheduled for deletion | | `data.caCertInfo` | Object | - | CA certificate information | | `data.caCertInfo.commonName` | String | - | Common name | | `data.caCertInfo.country` | String | - | Standard country code - See [ISO 3166-1 alpha-2](https://ko.wikipedia.org/wiki/ISO_3166-1_alpha-2). | | `data.caCertInfo.issueName` | String | - | Issued CA name | | `data.caCertInfo.notAfterDate` | Long | - | Certification expiration date and time - Timestamp format | | `data.caCertInfo.publicKeyAlgorithm` | String | - | Encryption algorithm | | `data.caCertInfo.notBeforeDate` | Long | - | Certification validity start date and time - Timestamp format | | `data.caCertInfo.locality` | String | - | City name | | `data.caCertInfo.stateProvince` | String | - | State/province or region name | | `data.caCertInfo.organizationUnit` | String | - | Department name | | `data.caCertInfo.certPem` | String | - | CA certificate (PEM) | | `data.caCertInfo.chainPem` | String | - | Certificate chain (PEM) | | `data.caCertInfo.signatureAlgorithm` | String | - | Signature algorithm | | `data.caCertInfo.serialNo` | String | - | Certificate serial number | | `data.caCertInfo.caCertId` | Long | - | Certification identifier | | `data.caCertInfo.organization` | String | - | Organization name | ### Response status codes For information about the response status codes common to all Private CA APIs, see [Private CA response status codes](/docs/en/security-privateca#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "msg": "Success", "data": { "caInfo": { "signingCount": 0, "caType": "PRIVATE_SUB", "caId": 18***, "statusUpdateDate": null, "destroyDate": null, "alias": "caca002", "memo": "", "urlInfo": { "ocsp": [], "crl": [ "https://pca.apigw.ntruss.com/ext/*********-*********/crl" ], "ca": [ "https://pca.apigw.ntruss.com/ext/*********-*********/ca" ] }, "caTag": "*********-*********", "rgstDate": 1723101003000, "status": "PENDING" }, "caCertInfo": { "commonName": "name000", "country": "KR", "issuerName": "RootCA", "notAfterDate": 1754637093000, "publicKeyAlgorithm": "RSA", "notBeforeDate": 1723101093000, "locality": "Pangyo", "stateProvince": "Seongnam-si", "organizationUnit": "unit000", "certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----", "chainPem": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----", "signatureAlgorithm": "SHA256withRSA", "serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**", "caCertId": 18173, "organization": "org000" } } } ```